<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Thu Oct 22 19:00:13 CEST 2020 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-22">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="stream/ClientThread.html" title="class in stream"><span class="typeNameLink">ClientThread</span></a> - Class in <a href="stream/package-summary.html">stream</a></dt>
<dd>&nbsp;</dd>
<dt><a href="TCPChat/ClientThread.html" title="class in TCPChat"><span class="typeNameLink">ClientThread</span></a> - Class in <a href="TCPChat/package-summary.html">TCPChat</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TCPChat/EchoServerMultiThreaded.html#connectedClients">connectedClients</a></span> - Static variable in class TCPChat.<a href="TCPChat/EchoServerMultiThreaded.html" title="class in TCPChat">EchoServerMultiThreaded</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><a href="stream/EchoClient.html" title="class in stream"><span class="typeNameLink">EchoClient</span></a> - Class in <a href="stream/package-summary.html">stream</a></dt>
<dd>&nbsp;</dd>
<dt><a href="TCPChat/EchoClient.html" title="class in TCPChat"><span class="typeNameLink">EchoClient</span></a> - Class in <a href="TCPChat/package-summary.html">TCPChat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="UDPChat/EchoClient.html" title="class in UDPChat"><span class="typeNameLink">EchoClient</span></a> - Class in <a href="UDPChat/package-summary.html">UDPChat</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="stream/EchoClient.html#%3Cinit%3E()">EchoClient()</a></span> - Constructor for class stream.<a href="stream/EchoClient.html" title="class in stream">EchoClient</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TCPChat/EchoClient.html#%3Cinit%3E()">EchoClient()</a></span> - Constructor for class TCPChat.<a href="TCPChat/EchoClient.html" title="class in TCPChat">EchoClient</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="UDPChat/EchoClient.html#%3Cinit%3E()">EchoClient()</a></span> - Constructor for class UDPChat.<a href="UDPChat/EchoClient.html" title="class in UDPChat">EchoClient</a></dt>
<dd>&nbsp;</dd>
<dt><a href="stream/EchoServer.html" title="class in stream"><span class="typeNameLink">EchoServer</span></a> - Class in <a href="stream/package-summary.html">stream</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="stream/EchoServer.html#%3Cinit%3E()">EchoServer()</a></span> - Constructor for class stream.<a href="stream/EchoServer.html" title="class in stream">EchoServer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="stream/EchoServerMultiThreaded.html" title="class in stream"><span class="typeNameLink">EchoServerMultiThreaded</span></a> - Class in <a href="stream/package-summary.html">stream</a></dt>
<dd>&nbsp;</dd>
<dt><a href="TCPChat/EchoServerMultiThreaded.html" title="class in TCPChat"><span class="typeNameLink">EchoServerMultiThreaded</span></a> - Class in <a href="TCPChat/package-summary.html">TCPChat</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="stream/EchoServerMultiThreaded.html#%3Cinit%3E()">EchoServerMultiThreaded()</a></span> - Constructor for class stream.<a href="stream/EchoServerMultiThreaded.html" title="class in stream">EchoServerMultiThreaded</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="TCPChat/EchoServerMultiThreaded.html#%3Cinit%3E()">EchoServerMultiThreaded()</a></span> - Constructor for class TCPChat.<a href="TCPChat/EchoServerMultiThreaded.html" title="class in TCPChat">EchoServerMultiThreaded</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="UDPChat/EchoClient.html#history">history</a></span> - Static variable in class UDPChat.<a href="UDPChat/EchoClient.html" title="class in UDPChat">EchoClient</a></dt>
<dd>&nbsp;</dd>
<dt><a href="HTTP/package-summary.html">HTTP</a> - package HTTP</dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="UDPGUI/TestProgReseau.html#initGUI()">initGUI()</a></span> - Static method in class UDPGUI.<a href="UDPGUI/TestProgReseau.html" title="class in UDPGUI">TestProgReseau</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><a href="TCPChat/ListeningThread.html" title="class in TCPChat"><span class="typeNameLink">ListeningThread</span></a> - Class in <a href="TCPChat/package-summary.html">TCPChat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="UDPChat/ListeningThread.html" title="class in UDPChat"><span class="typeNameLink">ListeningThread</span></a> - Class in <a href="UDPChat/package-summary.html">UDPChat</a></dt>
<dd>&nbsp;</dd>
<dt><a href="UDPGUI/ListeningThread.html" title="class in UDPGUI"><span class="typeNameLink">ListeningThread</span></a> - Class in <a href="UDPGUI/package-summary.html">UDPGUI</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="HTTP/WebPing.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class HTTP.<a href="HTTP/WebPing.html" title="class in HTTP">WebPing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="HTTP/WebServer.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class HTTP.<a href="HTTP/WebServer.html" title="class in HTTP">WebServer</a></dt>
<dd>
<div class="block">Start the application.</div>
</dd>
<dt><span class="memberNameLink"><a href="stream/EchoClient.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class stream.<a href="stream/EchoClient.html" title="class in stream">EchoClient</a></dt>
<dd>
<div class="block">main method
  accepts a connection, receives a message from client then sends an echo to the client</div>
</dd>
<dt><span class="memberNameLink"><a href="stream/EchoServer.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class stream.<a href="stream/EchoServer.html" title="class in stream">EchoServer</a></dt>
<dd>
<div class="block">main method</div>
</dd>
<dt><span class="memberNameLink"><a href="stream/EchoServerMultiThreaded.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class stream.<a href="stream/EchoServerMultiThreaded.html" title="class in stream">EchoServerMultiThreaded</a></dt>
<dd>
<div class="block">main method</div>
</dd>
<dt><span class="memberNameLink"><a href="TCPChat/EchoClient.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class TCPChat.<a href="TCPChat/EchoClient.html" title="class in TCPChat">EchoClient</a></dt>
<dd>
<div class="block">main method
  accepts a connection, starts a thread listening to the server, and allow the user to write to the server</div>
</dd>
<dt><span class="memberNameLink"><a href="TCPChat/EchoServerMultiThreaded.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class TCPChat.<a href="TCPChat/EchoServerMultiThreaded.html" title="class in TCPChat">EchoServerMultiThreaded</a></dt>
<dd>
<div class="block">main method</div>
</dd>
<dt><span class="memberNameLink"><a href="UDPChat/EchoClient.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class UDPChat.<a href="UDPChat/EchoClient.html" title="class in UDPChat">EchoClient</a></dt>
<dd>
<div class="block">main method
  accepts a connection, receives a message from client then sends an echo to the client</div>
</dd>
<dt><span class="memberNameLink"><a href="UDPGUI/TestProgReseau.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class UDPGUI.<a href="UDPGUI/TestProgReseau.html" title="class in UDPGUI">TestProgReseau</a></dt>
<dd>
<div class="block">main method
  accepts a connection, receives a message from client then sends an echo to the client</div>
</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="UDPGUI/TestProgReseau.html#pseudoChoice()">pseudoChoice()</a></span> - Static method in class UDPGUI.<a href="UDPGUI/TestProgReseau.html" title="class in UDPGUI">TestProgReseau</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="stream/ClientThread.html#run()">run()</a></span> - Method in class stream.<a href="stream/ClientThread.html" title="class in stream">ClientThread</a></dt>
<dd>
<div class="block">run function
 read what's beeing received from the server socket and writing it back to the server</div>
</dd>
<dt><span class="memberNameLink"><a href="TCPChat/ClientThread.html#run()">run()</a></span> - Method in class TCPChat.<a href="TCPChat/ClientThread.html" title="class in TCPChat">ClientThread</a></dt>
<dd>
<div class="block">receives a request from client then sends an echo to the client</div>
</dd>
<dt><span class="memberNameLink"><a href="TCPChat/ListeningThread.html#run()">run()</a></span> - Method in class TCPChat.<a href="TCPChat/ListeningThread.html" title="class in TCPChat">ListeningThread</a></dt>
<dd>
<div class="block">listen to the server and print the received messages to the terminal</div>
</dd>
<dt><span class="memberNameLink"><a href="UDPChat/ListeningThread.html#run()">run()</a></span> - Method in class UDPChat.<a href="UDPChat/ListeningThread.html" title="class in UDPChat">ListeningThread</a></dt>
<dd>
<div class="block">receives a request from client then sends an echo to the client</div>
</dd>
<dt><span class="memberNameLink"><a href="UDPGUI/ListeningThread.html#run()">run()</a></span> - Method in class UDPGUI.<a href="UDPGUI/ListeningThread.html" title="class in UDPGUI">ListeningThread</a></dt>
<dd>
<div class="block">Receive and print message in the GUI</div>
</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="HTTP/WebServer.html#start()">start()</a></span> - Method in class HTTP.<a href="HTTP/WebServer.html" title="class in HTTP">WebServer</a></dt>
<dd>
<div class="block">WebServer constructor.</div>
</dd>
<dt><a href="stream/package-summary.html">stream</a> - package stream</dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="TCPChat/package-summary.html">TCPChat</a> - package TCPChat</dt>
<dd>&nbsp;</dd>
<dt><a href="UDPGUI/TestProgReseau.html" title="class in UDPGUI"><span class="typeNameLink">TestProgReseau</span></a> - Class in <a href="UDPGUI/package-summary.html">UDPGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="UDPGUI/TestProgReseau.html#%3Cinit%3E()">TestProgReseau()</a></span> - Constructor for class UDPGUI.<a href="UDPGUI/TestProgReseau.html" title="class in UDPGUI">TestProgReseau</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="UDPChat/package-summary.html">UDPChat</a> - package UDPChat</dt>
<dd>&nbsp;</dd>
<dt><a href="UDPGUI/package-summary.html">UDPGUI</a> - package UDPGUI</dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><a href="HTTP/WebPing.html" title="class in HTTP"><span class="typeNameLink">WebPing</span></a> - Class in <a href="HTTP/package-summary.html">HTTP</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="HTTP/WebPing.html#%3Cinit%3E()">WebPing()</a></span> - Constructor for class HTTP.<a href="HTTP/WebPing.html" title="class in HTTP">WebPing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="HTTP/WebServer.html" title="class in HTTP"><span class="typeNameLink">WebServer</span></a> - Class in <a href="HTTP/package-summary.html">HTTP</a></dt>
<dd>
<div class="block">Example program from Chapter 1 Programming Spiders, Bots and Aggregators in
 Java Copyright 2001 by Jeff Heaton

 WebServer is a very simple web-server.</div>
</dd>
<dt><span class="memberNameLink"><a href="HTTP/WebServer.html#%3Cinit%3E()">WebServer()</a></span> - Constructor for class HTTP.<a href="HTTP/WebServer.html" title="class in HTTP">WebServer</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
